<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::table('request_logs', function (Blueprint $table) {
            $table->string('keterangan')->after('organization_id')->default(null);
            $table->string('hak_kamar_pasien')->after('keterangan')->default(null);
            $table->string('penempatan_kamar')->after('hak_kamar_pasien')->default(null);
            $table->string('catatan')->after('penempatan_kamar')->default(null);
            $table->string('no_identitas')->after('catatan')->default(null);
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::table('request_logs', function (Blueprint $table) {
            $table->dropColumn('keterangan');
            $table->dropColumn('hak_kamar_pasien');
            $table->dropColumn('penempatan_kamar');
            $table->dropColumn('catatan');
            $table->dropColumn('no_identitas');
        });
    }
};
